{% set body_id = "palettes" %}
{# {% set title = "palettes" %} #}
{% extends "templates/default.njk" %}
{% block content %}

  <div class="hero">
    <div class="hero-img hero-img-left">
      <svg
          xmlns="http://www.w3.org/2000/svg"
          width="336"
          height="343"
          viewBox="0 0 336 343"
          fill="none"
          style="max-width: 100%"
        >
        <rect x="28.0118" width="100.3" height="100.3" rx="9.03606" fill="#4d5668"/>
        <rect x="140.963" y="45.1803" width="55.12" height="55.12" rx="9.03606" fill="#D9E6FF"/>
        <rect x="87.6498" y="287.347" width="55.12" height="55.12" rx="9.03606" fill="#FD9BFF"/>
        <rect x="260.239" y="220.48" width="74.9993" height="74.9993" rx="9.03606" fill="#FFE1D0"/>
        <rect y="200.601" width="74.9993" height="74.9993" rx="9.03606" fill="#BBFFBE"/>
        <rect x="84.939" y="112.047" width="163.553" height="163.553" rx="9.03606" fill="#3C62E7"/>
      </svg>
    </div>
    <div class="hero-text" style="align-items: center; width: 60%">
      <h1 style="text-align: center">
          Find Cool Palettes<br/>For Any
          <span class="color-effect">Color</span>
      </h1>
      <p class="subtitle" style="text-align: center">
          Generate palettes for every color scheme by entering just one main color!
        </p>
      <div class="hero-cta">
        <a href="#generator" onclick="highlightToolbar()" class="primary-button">Get Started</a>
      </div>
    </div>
    <div class="hero-img hero-img-right">
      <svg
          xmlns="http://www.w3.org/2000/svg"
          width="316"
          height="343"
          viewBox="0 0 316 343"
          fill="none"
          style="max-width: 100%"
        >
        <rect x="0.641357" y="121.083" width="55.12" height="55.12" rx="9.03606" fill="#DCBAFF"/>
        <rect x="57.5686" width="80.4209" height="80.4209" rx="9.03606" fill="#FF9B9B"/>
        <rect x="241.001" y="80.4209" width="74.9993" height="74.9993" rx="9.03606" fill="#FFF1A7"/>
        <rect x="99.1345" y="267.467" width="74.9993" height="74.9993" rx="9.03606" fill="#C2E9E9"/>
        <rect x="66.6047" y="92.1678" width="163.553" height="163.553" rx="9.03606" fill="#E7D63C"/>
      </svg>
    </div>
  </div>

  <main>
    <div class="part1" style="gap: 1em" id="generator">
      <h3>Analogous</h3>
      <div class="row">
        <div class="color-block analogous">
          <div class="color-code">#000000</div>
        </div>
        <div class="color-block analogous">
          <div class="color-code"></div>
        </div>
        <div class="color-block analogous">
          <div class="color-code"></div>
        </div>
        <div class="color-block analogous">
          <div class="color-code"></div>
        </div>
        <div class="color-block analogous">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Monochromatic</h3>
      <div class="row">
        <div class="color-block monochromatic">
          <div class="color-code"></div>
        </div>
        <div class="color-block monochromatic">
          <div class="color-code"></div>
        </div>
        <div class="color-block monochromatic">
          <div class="color-code"></div>
        </div>
        <div class="color-block monochromatic">
          <div class="color-code"></div>
        </div>
        <div class="color-block monochromatic">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Triadic</h3>
      <div class="row">
        <div class="color-block triadic">
          <div class="color-code"></div>
        </div>
        <div class="color-block triadic">
          <div class="color-code"></div>
        </div>
        <div class="color-block triadic">
          <div class="color-code"></div>
        </div>
        <div class="color-block triadic">
          <div class="color-code"></div>
        </div>
        <div class="color-block triadic">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Complementary</h3>
      <div class="row">
        <div class="color-block complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block complementary">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Split Complementary</h3>
      <div class="row">
        <div class="color-block split-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block split-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block split-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block split-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block split-complementary">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Double Split Complementary</h3>
      <div class="row">
        <div class="color-block double-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block double-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block double-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block double-complementary">
          <div class="color-code"></div>
        </div>
        <div class="color-block double-complementary">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Square</h3>
      <div class="row">
        <div class="color-block square-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block square-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block square-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block square-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block square-colors">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Compound</h3>
      <div class="row">
        <div class="color-block compound-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block compound-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block compound-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block compound-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block compound-colors">
          <div class="color-code"></div>
        </div>
      </div>
      <br/>

      <h3>Shades</h3>
      <div class="row">
        <div class="color-block shades-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block shades-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block shades-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block shades-colors">
          <div class="color-code"></div>
        </div>
        <div class="color-block shades-colors">
          <div class="color-code"></div>
        </div>
      </div>
    </div>

    <div class="toolbar get-suggestions-toolbar" id="toolbar">
      <div class="option main-color" style="background-color: #3c62e7; color: white">
        <input type="color" id="main-color" name="main-color" class="colorpicker" value="#3b5fe2"/>
        <label for="main-color">Main Color</label>
      </div>

      <div class="option randomize" id="randomize">
        <div>Randomize</div>
        <svg xmlns="http://www.w3.org/2000/svg" width="33" height="31" viewBox="0 0 33 31" fill="none">
          <rect
              x="4.06797"
              y="2.90574"
              width="24.4083"
              height="24.4083"
              rx="3.84742"
              stroke="var(--static2)"
              stroke-width="1.1623"
/>
          <circle cx="10.0138" cy="8.85138" r="1.87757" fill="var(--static2)"/>
          <circle
              cx="22.5306"
              cy="8.85138"
              r="1.87757"
              transform="rotate(90 22.5306 8.85138)"
              fill="var(--static2)"
/>
          <circle cx="16.2718" cy="15.11" r="1.87757" transform="rotate(90 16.2718 15.11)" fill="var(--static2)"/>
          <circle cx="22.5304" cy="21.3685" r="1.87757" fill="var(--static2)"/>
          <circle cx="10.014" cy="21.3685" r="1.87757" transform="rotate(90 10.014 21.3685)" fill="var(--static2)"/>
        </svg>
      </div>

      <div class="option export" id="export">
        <div>Export</div>
        <svg xmlns="http://www.w3.org/2000/svg" width="33" height="32" viewBox="0 0 33 32" fill="none">
          <path
              d="M17.3248 17.8251V10.2169C17.3248 9.98865 17.2335 9.78186 17.0831 9.63415C16.9328 9.48376 16.726 9.39246 16.5004 9.39246C16.2721 9.39246 16.0653 9.48376 15.9176 9.63415C15.7672 9.78455 15.6759 9.98865 15.6759 10.2169V17.8251L12.7433 15.2657C12.5741 15.118 12.3593 15.0509 12.1498 15.0616C11.9376 15.0751 11.7335 15.1664 11.5805 15.3356C11.4301 15.5048 11.3629 15.7196 11.3737 15.9291C11.3871 16.1386 11.4784 16.3427 11.6476 16.493L15.9552 20.2528C16.1137 20.3925 16.3124 20.4596 16.5084 20.4596C16.7045 20.4596 16.9005 20.3844 17.0509 20.2448L21.3558 16.485C21.5197 16.3346 21.611 16.1332 21.6244 15.9264C21.6378 15.7169 21.568 15.5048 21.4176 15.3356L21.4122 15.3302C21.2619 15.1637 21.0578 15.0751 20.851 15.0616H20.8483C20.6388 15.0509 20.424 15.118 20.2548 15.2684L17.3248 17.8251Z"
              fill="#0F0F0F"
/>
          <rect
              x="4.109"
              y="2.93511"
              width="24.6552"
              height="24.6552"
              rx="3.88633"
              stroke="var(--static2)"
              stroke-width="1.17406"
/>
        </svg>
      </div>
    </div>

    <div class="part2 get-suggestions" id="how">
      <div class="part2-left">
        <h2>How Does it Work?</h2>
        <p>Generate 9 different color palettes for every possible color scheme in 4 simple steps.</p>
      </div>
      <div class="part2-right">
        <p class="one step">
            Select your main color from the toolbar or randomize using the "Randomize" button / Spacebar.
          </p>
        <p class="two step">Get 9 different palettes matching each color scheme.</p>
        <p class="three step">Fiddle with the main color to find the best combinations.</p>
        <p class="four step">
            Either copy the HEX code by clicking on a color, or export your colors. You can use them in the Realtime
            Colors UI color palette tool to make a final decision.
          </p>
      </div>
    </div>

    <div class="part4" id="faq">
      <div class="part4-heading">
        <h2>FAQ</h2>
        <p>Answers to some questions you might have.</p>
      </div>

      <div class="faq-list">
        <div class="faq">
          <div class="faq-q">
            <h3>What is this tool exactly?</h3>
            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
              <path d="M11.5 0L11.5 23" stroke="var(--primary)" stroke-width="6"/>
              <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--primary)" stroke-width="6"/>
            </svg>
          </div>
          <div class="faq-a">
            <p>
                This tool takes one main color and applies it on 9 different color schemes. In each palette, you can
                find colors matching perfectly with the main color.
              </p>
          </div>
        </div>

        <div class="faq">
          <div class="faq-q">
            <h3>What can I do with the colors generated?</h3>
            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
              <path d="M11.5 0L11.5 23" stroke="var(--primary)" stroke-width="6"/>
              <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--primary)" stroke-width="6"/>
            </svg>
          </div>
          <div class="faq-a">
            <p>
                Well, for starters, you could just export it and receive 9 beautiful color palettes in .png, and a .txt
                file with your selected palettes in HEX values. But if you're thinking 'what's next', you can always
                experiment with these colors inside the
                <a class="link" href="https://realtimecolors.com" target="_blank">Realtime Colors</a>
                tool and check how they would look like on a real website.
              </p>
          </div>
        </div>

        <div class="faq">
          <div class="faq-q">
            <h3>What will I receive after exporting my colors?</h3>
            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
              <path d="M11.5 0L11.5 23" stroke="var(--primary)" stroke-width="6"/>
              <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--primary)" stroke-width="6"/>
            </svg>
          </div>
          <div class="faq-a">
            <p>
                After exporting, you will receive a .zip file. This file is compressed, so you will have to extract
                it.<br/>After extracting it, you will see 9 different .png files and a .txt file. The .png images shows
                your color palettes in squares next to each other. The .txt file includes the color codes in HEX. You
                can send these files to designers or developers, or just use them in your project.
              </p>
          </div>
        </div>

        <div class="faq">
          <div class="faq-q">
            <h3>Are these colors all suitable for one website/project?</h3>
            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
              <path d="M11.5 0L11.5 23" stroke="var(--primary)" stroke-width="6"/>
              <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--primary)" stroke-width="6"/>
            </svg>
          </div>
          <div class="faq-a">
            <p>
                Yes and no. These colors are just meant to be inspirations for your big ideas. Don't just limit yourself
                to one color scheme. Make your designs fun and vibrant. You can use these colors as an inspiration for
                adding visual hierarchy to your website. You might need to modify a thing or two or skip a color, but
                still, it can turn out great.<br/><br/>Sometimes these colors might all go very well together on a
                single webpage without any modifications. But you should only consider that as a happy accident. :)
              </p>
          </div>
        </div>

        <div class="faq">
          <div class="faq-q">
            <h3>What do the terms on the palette mean?</h3>
            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
              <path d="M11.5 0L11.5 23" stroke="var(--primary)" stroke-width="6"/>
              <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--primary)" stroke-width="6"/>
            </svg>
          </div>
          <div class="faq-a">
            <p>
                The terms monochromatic, complementary, analogous, triadic, split complementary, double split
                complementary, square, compound, and shades are color schemes for design. Each of them refers to a type
                of color combination. Here are the full definitions: <br/><br/>
              <b>Monochromatic</b> means the colors
                originate from the same hue, except they are different tints and shades of that hue. <br/><br/>
              <b
                  >Complementary</b
                >
                means the colors are the opposite of each other's hues. <br/><br/>
              <b>Triadic</b> is similar to
                complementary, except considering 2 opposites for a color instead of one. <br/><br/>
              <b>Analogous</b>
                refers to colors that are adjacent/close to each other. <br/><br/>
              <b>Square</b>
                refers to schemes in which there is one main color and some other colors on the color wheel 90deg apart
                from each other.
                <br/><br/>
              <b>Compound</b> means the scheme selects one main color and two adjacent colors next to its
                complementary color. <br/><br/>
              <b>Split complementary and double-split complementary</b>
                each take two/four colors around the main color that would correspond to the opposite side of each
                other.

                <br/><br/>In this tool, you can see all 4 of them being suggested along the main color to make a
                collection of colors that would go well with the selected color.
              </p>
          </div>
        </div>

        <div class="faq">
          <div class="faq-q">
            <h3>How can I learn more about this tool?</h3>
            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
              <path d="M11.5 0L11.5 23" stroke="var(--primary)" stroke-width="6"/>
              <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--primary)" stroke-width="6"/>
            </svg>
          </div>
          <div class="faq-a">
            <p>
                You can find more information about Realtime Colors on the
                <a href="about" target="_blank" class="link">About</a> page. You can also
                <a href="mailto:juxtopposed.me@gmail.com" target="_blank" class="link">email me</a>
                any questions you might have.
              </p>
          </div>
        </div>
      </div>
    </div>

    <div class="part5" id="end">
      <h1>Your <span class="color-effect">Journey</span> Shouldn't End Here.</h1>
      <p class="subtitle">Follow me on social media to stay tuned on more projects.</p>
      <a href="https://twitter.com/juxtopposed" target="_blank" class="primary-button">Stay Tuned</a>
    </div>
  </main>

{% endblock %}

{% block scripts_after %}
  <script src="/js/palettes.js"></script>
{% endblock %}